Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002453 [JEDI VCL] 00 JVCL Components minor always 2004-12-30 20:51 2005-01-01 09:04
Reporter bgoch View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002453: JvGnuGetText - mem leak
Description procedure TDomain.GetListOfLanguages(List: TStrings);

uses
  more := FindFirst(Directory + '*', faAnyFile, sr) = 0;

but never releases using FindClose which will be a memory leak
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006045)
AHUser (developer)
2004-12-31 03:02

Fixed in CVS.
(0006046)
obones (administrator)
2005-01-01 08:40

Reminder sent to: AHUser

Did you contact Lars Dybdahl to tell him about that memory leak?
He is the origianl author of DxGettext and I'm quite sure he would be interested in such a fix.
(0006049)
AHUser (developer)
2005-01-01 09:00

Already reported:
http://sourceforge.net/tracker/index.php?func=detail&aid=1081964&group_id=74086&atid=539908 [^]

- Issue History
Date Modified Username Field Change
2004-12-30 20:51 bgoch New Issue
2004-12-31 03:02 AHUser Status new => resolved
2004-12-31 03:02 AHUser Resolution open => fixed
2004-12-31 03:02 AHUser Assigned To => AHUser
2004-12-31 03:02 AHUser Note Added: 0006045
2004-12-31 03:02 AHUser Assigned To AHUser =>
2005-01-01 08:40 obones Issue Monitored: AHUser
2005-01-01 08:40 obones Note Added: 0006046
2005-01-01 08:50 AHUser Issue End Monitor: AHUser
2005-01-01 09:00 AHUser Status resolved => feedback
2005-01-01 09:00 AHUser Resolution fixed => reopened
2005-01-01 09:00 AHUser Note Added: 0006049
2005-01-01 09:03 AHUser Issue Monitored: AHUser
2005-01-01 09:03 AHUser Issue End Monitor: AHUser
2005-01-01 09:04 AHUser Status feedback => resolved
2005-01-01 09:04 AHUser Resolution reopened => fixed
2005-01-01 09:04 AHUser Assigned To => AHUser
2005-01-01 09:04 AHUser Assigned To AHUser =>


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker